---
outline: deep
---

# Getting started with Feathers

Welcome to the Feathers guides! This is the place to find all the resources to get started with Feathers.

<img style="margin: 2em 0;" src="/img/main-character-starting.svg" alt="Setting up">

## The Feathers guide

The Feathers guide will walk you through all the important parts of Feathers. The [quick start](./basics/starting.md) gets you up and running with a Feathers API and real-time website in less than 15 minutes from scratch to give you an idea what Feathers is about.

In the next parts we will [generate an application](./basics/generator.md) and then walk through Feathers core concepts like services, hooks and authentication by building a complete real-time chat application with an API and a website that can register users and send and receive messages in real-time. We will also add a login with GitHub and write unit tests for our API.

[Get started with the Feathers guide >](./basics/starting.md)

## Follow up with

[The API documentation >](../api/)

[The cookbook for common tasks and patterns >](../cookbook/)

[The Awesome FeathersJS Ecosystem >](https://github.com/feathersjs/awesome-feathersjs)

[Feathers on YouTube >](https://www.youtube.com/playlist?list=PLwSdIiqnDlf_lb5y1liQK2OW5daXYgKOe)

## More about Feathers how and why

[Read about the philosophy behind Feathers and where it came from >](https://blog.feathersjs.com/why-we-built-the-best-web-framework-you-ve-probably-never-heard-of-until-now-176afc5c6aac)

[Learn about the high level design patterns behind Feathers >](https://blog.feathersjs.com/design-patterns-for-modern-web-apis-1f046635215)

[See how Feathers compares to others >](https://feathersjs.com/comparison)
